aboutsummaryrefslogtreecommitdiff
path: root/src/x11vnc/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/x11vnc/rc.d')
-rwxr-xr-xsrc/x11vnc/rc.d37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/x11vnc/rc.d b/src/x11vnc/rc.d
new file mode 100755
index 0000000..b5f2a64
--- /dev/null
+++ b/src/x11vnc/rc.d
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/x11vnc
+
+PID=$(pidof -o %PPID /usr/bin/x11vnc)
+case "$1" in
+ start)
+ stat_busy "Starting x11vnc"
+ [[ -z "$PID" ]] && /usr/bin/x11vnc $X11VNC_ARGS &> /dev/null &
+ if [[ $? -gt 0 ]]; then
+ stat_fail
+ else
+ add_daemon x11vnc
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping x11vnc"
+ [[ ! -z "$PID" ]] && kill $PID &> /dev/null
+ if [[ $? -gt 0 ]]; then
+ stat_fail
+ else
+ rm_daemon x11vnc
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0